
QGIS Application - Bug report #10858

Datasource file name in .qlr file should be relative to .qlr file

2014-07-09 06:56 AM - joto -

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19227

Description

When reading a .qlr file the file name in the datasource is currently interpreted relative to the directory QGIS was started in instead of

relative to the directory the .qlr file is in. This makes it harder to distribute .qlr files with your data in a way that is easy to use.

Related issues:

Related to QGIS Application - Bug report # 13925: Qlr-file saves datasource p... Closed 2015-12-01

Associated revisions

Revision e5850f38 - 2014-10-06 02:55 PM - Nathan Woodrow

Fix #10858 - Set relative path to QLR save folder. Load relative to QLR file

History

#1 - 2014-07-09 08:19 AM - Giovanni Manghi

- Category deleted (Browser)

#2 - 2014-08-29 11:02 PM - Jürgen Fischer

- Category set to Project Loading/Saving

#3 - 2014-10-06 05:56 AM - Nathan Woodrow

- Status changed from Open to Closed

Fixed in changeset commit:"e5850f38b152e9072c5ae26ae5c5966846b7be3a".
